PostgreSQL 7.1.3 Documentation
Prev |  | Next

# ALTER GROUP

## Name

ALTER GROUP -- Add users to a group, remove users from a group

## Synopsis

    ALTER GROUP name ADD USER username [, ... ]
    ALTER GROUP name DROP USER username [, ... ]

### Inputs

`name`

  The name of the group to modify.

`username`

  Users which are to be added or removed from the group. The user names must exist.

### Outputs

`ALTER GROUP`

  Message returned if the alteration was successful.

## Description

ALTER GROUP is used to add or remove users from a group. Only database superusers can use this command. Adding a user to a group does not create the user. Similarly, removing a user from a group does not drop the user itself.

Use CREATE GROUP to create a new group and DROP GROUP to remove a group.

## Usage

Add users to a group:

    ALTER GROUP staff ADD USER karl, john

Remove a user from a group:

    ALTER GROUP workers DROP USER beth

## Compatibility

### SQL92

There is no ALTER GROUP statement in SQL92. The concept of roles is similar.

Prev | Home | Next
ABORT | Up | ALTER TABLE